# Record Class MMavenMetadata.SnapshotVersion

java.lang.Object
java.lang.Record
com.io7m.montarre.xml.MMavenMetadata.SnapshotVersion

Record Components:
  `baseVersion` - The base version
  `timestamp` - The timestamp
  `buildNumber` - The build number

Enclosing class:
  `MMavenMetadata`

public static record MMavenMetadata.SnapshotVersion(String baseVersion, String timestamp, String buildNumber) extends Record
Information about a snapshot version.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SnapshotVersion(String baseVersion, String timestamp, String buildNumber)`
  Information about a snapshot version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `baseVersion()`
  Returns the value of the `baseVersion` record component.
  `String`
  `buildNumber()`
  Returns the value of the `buildNumber` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `timestamp()`
  Returns the value of the `timestamp` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SnapshotVersion

    public SnapshotVersion(String baseVersion, String timestamp, String buildNumber)
    Information about a snapshot version.
    Parameters:
      `baseVersion` - The base version
      `timestamp` - The timestamp
      `buildNumber` - The build number

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### baseVersion

    public String baseVersion()
    Returns the value of the `baseVersion` record component.
    Returns:
      the value of the `baseVersion` record component

  - ### timestamp

    public String timestamp()
    Returns the value of the `timestamp` record component.
    Returns:
      the value of the `timestamp` record component

  - ### buildNumber

    public String buildNumber()
    Returns the value of the `buildNumber` record component.
    Returns:
      the value of the `buildNumber` record component